USB_CALC_BUS_TIME(9)

NAME
usb_calc_bus_time - approximate periodic transaction time in nanoseconds

SYNOPSIS

long usb_calc_bus_time (int speed, int is_input, int isoc, int bytecount);

ARGUMENTS

speed
    from dev->speed; USB_SPEED_{LOW,FULL,HIGH}

is_input
    true iff the transaction sends data to the host

isoc
    true for isochronous transactions, false for interrupt ones

bytecount
    how many bytes in the transaction.

DESCRIPTION

Returns approximate bus time in nanoseconds for a periodic transaction. See USB 2.0 spec section 5.11.3; only periodic transfers need to be scheduled in software, this function is only used for such scheduling.